Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.rl
Class RLProperty

`java.lang.Object
oracle.rules.rl.RLProperty`

All Implemented Interfaces:
  java.io.Serializable

public class RLProperty
extends java.lang.Object
implements java.io.Serializable

Part of reflection API for RL classes.

See Also:
  `Field`, Serialized Form

Constructor Summary
`protected` | `RLProperty(java.lang.String name_, RLClass rlClass_, java.lang.String javaClassName_)`

Method Summary
`java.lang.Object` | `get(RLObject obj)` Get the property as an Object from the given RLObject.
`boolean` | `getBoolean(RLObject obj)` Get boolean property.
`byte` | `getByte(RLObject obj)` Get byte property.
`char` | `getChar(RLObject obj)` Get char property.
`RLClass` | `getDeclaringClass()` Get the RLClass that declares this property.
`double` | `getDouble(RLObject obj)` Get double property.
`float` | `getFloat(RLObject obj)` Get float property.
`int` | `getInt(RLObject obj)` Get int property.
`long` | `getLong(RLObject obj)` Get long property.
`java.lang.String` | `getName()` Get property name
`RLClass` | `getRLClassType()` Get the RLClass of a property that references an RLClass object.
`short` | `getShort(RLObject obj)` Get short property.
`java.lang.Class` | `getType()` get the Class of a primitive or Java type property
`void` | `set(RLObject obj, java.lang.Object value)` Set property to Object.
`void` | `setBoolean(RLObject obj, boolean value)` Set property to boolean.
`void` | `setByte(RLObject obj, byte value)` Set property to byte.
`void` | `setChar(RLObject obj, char value)` Set property to char.
`void` | `setDouble(RLObject obj, double value)` Set property to double.
`void` | `setFloat(RLObject obj, float value)` Set property to float.
`void` | `setInt(RLObject obj, int value)` Set property to int.
`void` | `setLong(RLObject obj, long value)` Set property to long.
`void` | `setShort(RLObject obj, short value)` Set property to short.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RLProperty

    protected RLProperty(java.lang.String name_,
                         RLClass rlClass_,
                         java.lang.String javaClassName_)
                  throws RLIllegalArgumentException

Method Detail

### getDeclaringClass

    public RLClass getDeclaringClass()

  Get the RLClass that declares this property.
  Returns:
    RLClass

### getName

    public java.lang.String getName()

  Get property name
  Returns:
    String name of property

### getType

    public java.lang.Class getType()
                            throws JavaException

  get the Class of a primitive or Java type property
  Returns:
    null if property is ref to RLClass
  Throws:
    `JavaException` - wrapping a ClassNotFoundException

### getRLClassType

    public RLClass getRLClassType()

  Get the RLClass of a property that references an RLClass object.
  Returns:
    null if property is not ref to RLClass

### get

    public java.lang.Object get(RLObject obj)
                         throws RLIllegalArgumentException

  Get the property as an Object from the given RLObject. Primitives are wrapped.
  Parameters:
    `obj` - RLObject containing property
  Returns:
    property Object
  Throws:
    `RLIllegalArgumentException` - if obj is of wrong RLClass

### getBoolean

    public boolean getBoolean(RLObject obj)
                       throws RLIllegalArgumentException

  Get boolean property.
  Parameters:
    `obj` - RLObject
  Returns:
    boolean value
  Throws:
    `RLIllegalArgumentException` - if obj is of wrong RLClass, or property is not boolean

### getByte

    public byte getByte(RLObject obj)
                 throws RLIllegalArgumentException

  Get byte property.
  Parameters:
    `obj` - RLObject
  Returns:
    byte value
  Throws:
    `RLIllegalArgumentException` - if obj is of wrong RLClass, or property is not byte

### getChar

    public char getChar(RLObject obj)
                 throws RLIllegalArgumentException

  Get char property.
  Parameters:
    `obj` - RLObject
  Returns:
    char value
  Throws:
    `oracle.rules.rl.RLIllegalArgumentException` - if obj is of wrong RLClass, or property is not char
    `RLIllegalArgumentException`

### getShort

    public short getShort(RLObject obj)
                   throws RLIllegalArgumentException

  Get short property.
  Parameters:
    `obj` - RLObject
  Returns:
    short value
  Throws:
    `RLIllegalArgumentException` - if obj is of wrong RLClass, or property is not short

### getInt

    public int getInt(RLObject obj)
               throws RLIllegalArgumentException

  Get int property.
  Parameters:
    `obj` - RLObject
  Returns:
    int value
  Throws:
    `RLIllegalArgumentException` - if obj is of wrong RLClass, or property is not int

### getLong

    public long getLong(RLObject obj)
                 throws RLIllegalArgumentException

  Get long property.
  Parameters:
    `obj` - RLObject
  Returns:
    long value
  Throws:
    `RLIllegalArgumentException` - if obj is of wrong RLClass, or property is not long

### getDouble

    public double getDouble(RLObject obj)
                     throws RLIllegalArgumentException

  Get double property.
  Parameters:
    `obj` - RLObject
  Returns:
    double value
  Throws:
    `RLIllegalArgumentException` - if obj is of wrong RLClass, or property is not double

### getFloat

    public float getFloat(RLObject obj)
                   throws RLIllegalArgumentException

  Get float property.
  Parameters:
    `obj` - RLObject
  Returns:
    float value
  Throws:
    `RLIllegalArgumentException` - if obj is of wrong RLClass, or property is not float

### set

    public void set(RLObject obj,
                    java.lang.Object value)
             throws RLIllegalArgumentException

  Set property to Object. Primitive type properties may be set to wrapped values.
  Parameters:
    `obj` - RLObject
    `value` - new property value
  Throws:
    `RLIllegalArgumentException` - if obj is of wrong RLClass or if value is of wrong type.

### setBoolean

    public void setBoolean(RLObject obj,
                           boolean value)
                    throws RLIllegalArgumentException

  Set property to boolean.
  Parameters:
    `obj` - RLObject
    `value` - new property value
  Throws:
    `RLIllegalArgumentException` - if obj is of wrong RLClass or if value is of wrong type.

### setByte

    public void setByte(RLObject obj,
                        byte value)
                 throws RLIllegalArgumentException

  Set property to byte.
  Parameters:
    `obj` - RLObject
    `value` - new property value
  Throws:
    `RLIllegalArgumentException` - if obj is of wrong RLClass or if value is of wrong type.

### setChar

    public void setChar(RLObject obj,
                        char value)
                 throws RLIllegalArgumentException

  Set property to char.
  Parameters:
    `obj` - RLObject
    `value` - new property value
  Throws:
    `RLIllegalArgumentException` - if obj is of wrong RLClass or if value is of wrong type.

### setShort

    public void setShort(RLObject obj,
                         short value)
                  throws RLIllegalArgumentException

  Set property to short.
  Parameters:
    `obj` - RLObject
    `value` - new property value
  Throws:
    `RLIllegalArgumentException` - if obj is of wrong RLClass or if value is of wrong type.

### setInt

    public void setInt(RLObject obj,
                       int value)
                throws RLIllegalArgumentException

  Set property to int.
  Parameters:
    `obj` - RLObject
    `value` - new property value
  Throws:
    `RLIllegalArgumentException` - if obj is of wrong RLClass or if value is of wrong type.

### setLong

    public void setLong(RLObject obj,
                        long value)
                 throws RLIllegalArgumentException

  Set property to long.
  Parameters:
    `obj` - RLObject
    `value` - new property value
  Throws:
    `RLIllegalArgumentException` - if obj is of wrong RLClass or if value is of wrong type.

### setDouble

    public void setDouble(RLObject obj,
                          double value)
                   throws RLIllegalArgumentException

  Set property to double.
  Parameters:
    `obj` - RLObject
    `value` - new property value
  Throws:
    `RLIllegalArgumentException` - if obj is of wrong RLClass or if value is of wrong type.

### setFloat

    public void setFloat(RLObject obj,
                         float value)
                  throws RLIllegalArgumentException

  Set property to float.
  Parameters:
    `obj` - RLObject
    `value` - new property value
  Throws:
    `RLIllegalArgumentException` - if obj is of wrong RLClass or if value is of wrong type.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.